/* config.h
 *
 */

/* Configure file locations in this include file. */

/*
    fics - An internet chess server.
    Copyright (C) 1993  Richard V. Nash

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
*/

/* Revision history:
   name		email		yy/mm/dd	Change
   Richard Nash	              	94/03/08	Created
   Sparky                       95/12/30        Beautified.
*/

#ifndef _CONFIG_H
#define _CONFIG_H

/* CONFIGURE THIS: The port on which the server binds */

#define DEFAULT_PORT 5000

/* Must be a dns recognisable host name */

#define SERVER_HOSTNAME   "deepnet" 

/* At AFICS we just use 'fics' but for your server you might want to change this
     eg to BICS, EICS, DICS   etc */

#define SERVER_NAME       "deepnet" /* for pgn output */

#define SERVER_LOCATION   "Ancona City, ITA"   /* for pgn output */


/* Which is the default language for help files, see variable.h for the
    current available settings */

#define LANG_DEFAULT      LANG_ENGLISH


/* CONFIGURE THESE: Locations of the data, players, and games directories */
/* These must be absolute paths because some mail daemons may be called */
/* from outside the pwd */

#define MAX_ADVERTS 24
/* These small files are printed when users log in
   They can be used for advertisements or to promote server features
   MAX_ADVERTS = the number of adverts you have
   They should be put in the DEFAULT_ADVERTS directory
   and be labelled with the numbers 0 - MAX_ADVERTS-1 inclusive
   Eg if MAX_ADVERTS is 3 then the files are 0,1,2

   If you do not want to use the adverts feature set it to -1
*/

/* define the directory that will be the root directory of FICS */
#define FICSROOT "/home/chess/FICS/"

#define DEFAULT_ADVERTS   FICSROOT "data/adverts"
#define DEFAULT_MESS      FICSROOT "data/messages"
#define DEFAULT_INDEX     FICSROOT "data/index"
#define DEFAULT_HELP      FICSROOT "data/help"
#define DEFAULT_COMHELP   FICSROOT "data/com_help"
#define HELP_SPANISH      FICSROOT "data/Spanish"
#define HELP_FRENCH       FICSROOT "data/French"
#define HELP_DANISH       FICSROOT "data/Danish"
#define DEFAULT_INFO      FICSROOT "data/info"
#define DEFAULT_ADHELP    FICSROOT "data/admin"
#define DEFAULT_USCF      FICSROOT "data/uscf"
#define DEFAULT_STATS     FICSROOT "data/stats"
#define DEFAULT_CONFIG    FICSROOT "config"
#define DEFAULT_PLAYERS   FICSROOT "players"
#define DEFAULT_ADJOURNED FICSROOT "games/adjourned"
#define DEFAULT_HISTORY   FICSROOT "games/history"
#define DEFAULT_JOURNAL   FICSROOT "games/journal"
#define DEFAULT_BOARDS    FICSROOT "data/boards"
#define DEFAULT_SOURCE    FICSROOT "5000"
#define DEFAULT_LISTS     FICSROOT "data/lists"
#define DEFAULT_NEWS      FICSROOT "data/news"
#define DEFAULT_BOOK      FICSROOT "data/book"
#define MESS_FULL         FICSROOT "data/messages/full"
#define MESS_FULL_UNREG   FICSROOT "data/messages/full_unreg"
#define DEFAULT_USAGE     FICSROOT "data/usage"
#define USAGE_SPANISH     FICSROOT "data/usage_spanish"
#define USAGE_FRENCH      FICSROOT "data/usage_french"
#define USAGE_DANISH      FICSROOT "data/usage_danish"

/* Where the standard ucb mail program is */

#define MAILPROGRAM       "/bin/mail"

/* SENDMAILPROG is a faster and more reliable means of sending mail if 
   defined.  Make sure your system mailer agent is defined here properly 
   for your system with respect to name, location and options.  These may 
   differ significatly depending on the type of system and what mailer is 
   installed  */

/* The floowing works fine for SunOS4.1.X with berkeley sendmail  */

#define SENDMAILPROG      "/usr/lib/sendmail -it" 

/* Details of the head admin */

#define HADMINHANDLE      "AdminGuy"
#define HADMINEMAIL       "joshua@deepnet"

/* Registration mail address */

#define REGMAIL           "fics@deepnet"

#endif /* _CONFIG_H */
