/*
 pending.h
*/

#ifndef _PENDING_H
#define _PENDING_H

#define PEND_MATCH 0 
#define PEND_DRAW 1
#define PEND_ABORT 2
#define PEND_TAKEBACK 3
#define PEND_ADJOURN 4
#define PEND_SWITCH 5
#define PEND_SIMUL 6
#define PEND_PAUSE 7
#define PEND_PARTNER 8
#define PEND_BUGHOUSE 9
#define PEND_UNPAUSE 10
#define PEND_ALL -1

#define DO_DECLINE 0x01
#define DO_WITHDRAW 0x02

typedef struct _pending {/*Params 1=wt 2=winc 3=bt 4=binc 5=rated 6=white*/
  int type;              /* 7=type */
  int whoto; /* who is offered */
  int whofrom; /* who offered it */
  int param1;
  int param2;
  int param3;
  int param4;
  int param5;
  int param6; /* for matches */
  int param7;
  char* char1; /* two slots used to store extra info eg board/category */ 
  char* char2;
  struct _pending* next; /* doubly linked */
  struct _pending* last;
} pending;

extern pending* delete_pending(pending*);
extern void destruct_pending();
extern pending* add_pending(int, int, int);
extern pending* find_pend(int, int, int);
extern int remove_pend(int, int , int);
extern pending* add_request(int, int , int);
extern void remove_request(int, int , int);
extern void decline_withdraw_offers (int, int, int, int);

extern int com_decline();
extern int com_withdraw();
extern int com_pending();
extern int com_accept();

extern void pend_join_match (int , int);
#endif
